<?
$sub_menu = "400410";
include_once("./_common.php");

auth_check($auth[$sub_menu], "r");

$token		= get_token();
include_once("$g4[path]/head.sub.php");
?>
<script type="text/javascript" src="<?=$g4[path]?>/js/sideview.js"></script>
<style type="text/css">
td, span, div, a, textarea	{ font-family:Dotum; font-size:11px; letter-spacing:-1px; }
.skin_list	{ line-height:160%; }
.msg		{ color:#828282; padding:3px; line-height:160%; }
#ok_msg		{ color:#202020; text-align:center; padding:5px; background-color:#FFFEE0; border:1px solid #BFBEA8; display:none; }
#no_msg		{ color:#202020; text-align:center; padding:5px; background-color:#FFC0C0; border:1px solid #BF9090; display:none; }

td a:hover	{ text-decoration:underline; }
</style>
<link rel="stylesheet" href="<?=$g4[path]?>/adm/admin.style.css" type="text/css">
<?
$g4[title] = "지음빌더 테마 관리";
include_once ("./admin.head.php");

//-- 스킨 목록
$index_skin		= get_skin_dir("zm.index");
$member_skin	= get_skin_dir("zm.member");
$layout_skin		= get_skin_dir("zm.layout");
$topmenu_skin	= get_skin_dir("zm.topmenu");
$bottom_skin	= get_skin_dir("zm.bottom");

//-- 자바스크립트 변수에 스킨 이름 저장
echo "
<script language='javascript'> \n
var idx_skin = []; mem_skin = []; brd_skin = []; pag_skin = []; top_skin = []; btt_skin = []; \n";

for($i = 0; $i < count($index_skin); $i++)		echo "idx_skin[$i] = '$index_skin[$i]'; \n";
for($i = 0; $i < count($member_skin); $i++) 	echo "mem_skin[$i] = '$member_skin[$i]'; \n";
for($i = 0; $i < count($layout_skin); $i++)		echo "brd_skin[$i] = '$layout_skin[$i]'; \n";
for($i = 0; $i < count($topmenu_skin); $i++) 	echo "top_skin[$i] = '$topmenu_skin[$i]'; \n";
for($i = 0; $i < count($bottom_skin); $i++) 	echo "btt_skin[$i] = '$bottom_skin[$i]'; \n";

echo "</script>";

$colspan	= 4;
?>
<?=subtitle("디자인 테마 일괄 적용")?>
<form name="theme_list" method="post">
<input type="hidden" name="mode" value="theme_adj">
<input type="hidden" name="sel_ok" id="sel_ok">
<table width=98% cellpadding=0 cellspacing=0 border=0 align="center">
<colgroup width=20%>
<colgroup width=20%>
<colgroup width=20%>
<colgroup width=40%>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='bgcol1 bold col1 ht center'>
    <td>적용 테마</td>
    <td>스킨 경로</td>
	<td>스킨 목록</td>
	<td>설명</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='col1 ht' id="cell_index">
	<td>INDEX 스킨</td>
	<td>skin/zm.index</td>
	<td>
	<div class="skin_list">
<?	for($i = 0; $i < count($index_skin); $i++) : ?>
		<div id="idx_<?=$index_skin[$i]?>">· <?=$index_skin[$i]?></div>
<?	endfor; ?>
	</div>
	</td>
	<td>홈페이지의 첫 화면입니다.</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<tr class='col1 ht' id="cell_member">
	<td>회원가입 스킨</td>
	<td>skin/zm.member</td>
	<td>
	<div class="skin_list">
<?	for($i = 0; $i < count($member_skin); $i++) : ?>
		<div id="mem_<?=$member_skin[$i]?>">· <?=$member_skin[$i]?></div>
<?	endfor; ?>
	</div>
	</td>
	<td>회원가입, 정보수정, My page 등 회원 관련 페이지의 스킨입니다.</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<tr class='col1 ht' id="cell_board">
	<td>게시판 스킨</td>
	<td>skin/zm.layout</td>
	<td>
	<div class="skin_list">
<?	for($i = 0; $i < count($layout_skin); $i++) : ?>
		<div id="brd_<?=$layout_skin[$i]?>">· <?=$layout_skin[$i]?></div>
<?	endfor; ?>
	</div>
	</td>
	<td>게시판을 둘러싸고 있는 상단, 좌우측, 하단 등의 디자인 스킨입니다.</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<tr class='col1 ht' id="cell_topmenu">
	<td>Topmenu 스킨</td>
	<td>skin/zm.topmenu</td>
	<td>
	<div class="skin_list">
<?	for($i = 0; $i < count($topmenu_skin); $i++) : ?>
		<div id="top_<?=$topmenu_skin[$i]?>">· <?=$topmenu_skin[$i]?></div>
<?	endfor; ?>
	</div>
	</td>
	<td>화면 상단에 위치하는 메뉴 그룹 스킨입니다.</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<tr class='col1 ht' id="cell_bottom">
	<td>Bottom 스킨</td>
	<td>skin/zm.bottom</td>
	<td>
	<div class="skin_list">
<?	for($i = 0; $i < count($bottom_skin); $i++) : ?>
		<div id="btt_<?=$bottom_skin[$i]?>">· <?=$bottom_skin[$i]?></div>
<?	endfor; ?>
	</div>
	</td>
	<td>화면 하단에 위치하는 Copyright 등이 기술 된 스킨</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
</table>
<div style="text-align:center; padding:10px;">테마 : 
	<select name="in_theme" onChange="chk_theme(this.value)" style="background-color:#FFF4D0;">
		<option>-- 테마를 선택 해 주세요. --</option>
<?	for($i = 0; $i < count($index_skin); $i++) : ?>
		<option value="<?=$index_skin[$i]?>"><?=$index_skin[$i]?></option>
<?	endfor; ?>
	</select>
	<input type="button" value="스킨 테마 일괄 적용" onClick="sendData(this.form)" class="btn1">
</div>
</form>

<div id="ok_msg">선택한 테마의 스킨이 모두 존재 합니다.</div>
<div id="no_msg">선택한 테마의 스킨이 모두 존재하지 않습니다. 선택한 테마와 같은 이름<span id="theme_name"></span>의 스킨이 위의 스킨 경로에 존재 하여야 합니다.</div>

<div class="msg">
· 테마 적용은 같은 이름의 스킨을 한 번에 일괄 적용합니다.<br>
· <b>INDEX 스킨명을 기준</b>으로 하며 각 스킨 디렉토리(폴더)에 <b>선택한 테마와 같은 이름의 스킨이 존재 해야 합니다.</b><br><br>
· <b>Step 1</b> : 다운로드한 테마의 압축을 풀어 위의 각 스킨 목록에서 중복 되는 이름이 있는지 검사 합니다.<br>
· <b>Step 2</b> : 중복 된 이름이 이미 존재 한다면 기존 스킨들의(디렉토리) 이름을 다른 이름으로 변경 합니다.<br>
· <b>Step 3</b> : 다운로드한 스킨들을 각각 해당 스킨 디렉토리에 복사 합니다. 복사 할 곳은 위의 스킨 경로를 참조 하세요.<br>
· <b>Step 4</b> : 현재 페이지에서 복사한 테마를 선택 한 후 [스킨 테마 일괄 적용] 버튼을 클릭하세요.
</div>

<script language="javascript">
function sendData(f) {
	if(!f.sel_ok.value || (f.sel_ok.value != "ok")) {
		alert("적용 할 수 있는 테마를 선택 해 주세요.\n화면에 붉은색 라인이 없어야 합니다.");
		return false;
	}

	f.action	= "./zm.builder_process.php";
	f.submit();
}

function chk_theme(theme) {
	var skin_ok		= 1;

	//-- 각 테마가 존재하는지 체크
	var	sw = 0;
	for(i = 0; i < idx_skin.length; i++) if(idx_skin[i] == theme) sw = 1;
	if(sw) {
		$("#cell_index").css("background-color", "#FFFEE0");
	}else{
		$("#cell_index").css("background-color", "#FFC0C0");
		skin_ok		= 0;
	}

	var	sw = 0;
	for(i = 0; i < mem_skin.length; i++) if(mem_skin[i] == theme) sw = 1;
	if(sw) {
		$("#cell_member").css("background-color", "#FFFEE0");
	}else{
		$("#cell_member").css("background-color", "#FFC0C0");
		skin_ok		= 0;
	}

	var	sw = 0;
	for(i = 0; i < brd_skin.length; i++) if(brd_skin[i] == theme) sw = 1;
	if(sw) {
		$("#cell_board").css("background-color", "#FFFEE0");
	}else{
		$("#cell_board").css("background-color", "#FFC0C0");
		skin_ok		= 0;
	}

	var	sw = 0;
	for(i = 0; i < top_skin.length; i++) if(top_skin[i] == theme) sw = 1;
	if(sw) {
		$("#cell_topmenu").css("background-color", "#FFFEE0");
	}else{
		$("#cell_topmenu").css("background-color", "#FFC0C0");
		skin_ok		= 0;
	}

	var	sw = 0;
	for(i = 0; i < btt_skin.length; i++) if(btt_skin[i] == theme) sw = 1;
	if(sw) {
		$("#cell_bottom").css("background-color", "#FFFEE0");
	}else{
		$("#cell_bottom").css("background-color", "#FFC0C0");
		skin_ok		= 0;
	}
	

	if(!theme) skin_ok	= 0;

	if(skin_ok) {
		$("#ok_msg").css("display", "block");
		$("#no_msg").css("display", "none");
		$("#sel_ok").val("ok");
	}else{
		$("#ok_msg").css("display", "none");
		$("#no_msg").css("display", "block");
		$("#theme_name").html("("+theme+")");
		$("#sel_ok").val("");
	}
}
</script>
<?
include_once ("./admin.tail.php");
?>
</body>
</html>